%define name	perl-Audio-DSP
%define version	0.02
%define release	2mdk

Summary:	Audio-DSP module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Audio-DSP-0.02.tar.bz2
Patch0:		Audio-DSP-0.02-VOCP.patch.bz2
Url:		http://www.cpan.org
Requires:	perl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Audio-DSP module for perl

%prep
%setup -q -n Audio-DSP-%{version} 
%patch0 -p1

# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/*/Audio/*
%{perl_vendorlib}/*/auto/*
%{_mandir}/man3*/*

%changelog
* Wed Feb 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.02-2mdk
- added P0 by Patrick Deegan

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.02-1mdk
- initial cooker contrib.
